Package org.pgpainless.exception

# Class KeyIntegrityException

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.AssertionError
org.pgpainless.exception.KeyIntegrityException

All Implemented Interfaces:
  `Serializable`

public class KeyIntegrityException extends AssertionError
This exception gets thrown, when the integrity of an OpenPGP key is broken. That could happen on accident, or during an active attack, so take this exception seriously.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`KeyIntegrityException()`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### KeyIntegrityException

public KeyIntegrityException()